<?php
 $NomFichier="donnees_binaires_entier_reel_caractere_chaine.data";
 // Variables contenant les données
 $i=-1024;
 $x=-38.74;
 $lettre="A";
 $texte="Bonjour";
 // -- compactage des octets dans une chaîne d'octets --
 $chaine_octets = pack("ifaa*",$i,$x,$lettre,$texte);
 // écriture dans le fichier binaire
 $fichier_binaire = fopen($NomFichier, 'wb');
 fwrite($fichier_binaire, $chaine_octets);
 fclose($fichier_binaire);
 $nboctets=strlen($chaine_octets);
 echo "écriture dans $NomFichier de $nboctets octets\n";
?>